package com.ekingwin.bas.cloud.exam.web;

import com.ekingwin.bas.cloud.exam.dto.QueryTestVO;
import com.ekingwin.bas.cloud.exam.dto.QuestionVO;
import com.ekingwin.bas.cloud.exam.dto.entity.TestPapers;
import com.ekingwin.bas.cloud.exam.service.AnswerService;
import com.ekingwin.bas.cloud.exam.service.QuestionsService;
import com.ekingwin.bas.cloud.exam.service.TestPaperService;
import com.ekingwin.bas.cloud.infra.utils.common.JsonUtil;
import com.ekingwin.bas.cloud.test.BaseWebTestService;
import com.ekingwin.bas.cloud.test.util.HttpTestUtils;
import org.junit.jupiter.api.Test;
import org.mockito.Mockito;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.test.autoconfigure.web.servlet.WebMvcTest;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.test.web.servlet.ResultActions;
import org.springframework.test.web.servlet.result.MockMvcResultMatchers;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;

import java.util.ArrayList;
import java.util.List;

import static org.junit.jupiter.api.Assertions.*;
import static org.mockito.ArgumentMatchers.any;

/**
 * @author chenjb
 * @version 1.0.0
 * @ClassName AnswerControllerTest.java
 * @Description TODO
 * @createTime 2021/6/10 18:56
 */
@WebMvcTest(controllers = AnswerController.class)
class AnswerControllerTest extends BaseWebTestService {

    @Test
    void checkAndSaveAnswer() throws Exception {
        HttpTestUtils http = super.build();

        TestPapers question = new TestPapers();
        question.setQuestions(new ArrayList<>());
        String content = JsonUtil.objectToJsonString(question);

        ResultActions resultActions = http.post("/answerTest", content, null, null);

        //可以为虚拟结果添加预期值（这里支持jsonpath，可以根据json路径获取值来进行判断）
        resultActions.andExpect(MockMvcResultMatchers.jsonPath("$.code").value(200));

    }

    @Test
    void queryMyAllTest() throws Exception {
        HttpTestUtils http = super.build();

        ResultActions resultActions = http.get("/queryMyAllTest", null, null, null);

        //可以为虚拟结果添加预期值（这里支持jsonpath，可以根据json路径获取值来进行判断）
        resultActions.andExpect(MockMvcResultMatchers.jsonPath("$.code").value(200));
    }

    @Test
    void queryTestDetails() throws Exception {
        HttpTestUtils http = super.build();

        QueryTestVO query = new QueryTestVO();
        String content = JsonUtil.objectToJsonString(query);

        ResultActions resultActions = http.post("/queryTestDetails", content, null, null);

        //可以为虚拟结果添加预期值（这里支持jsonpath，可以根据json路径获取值来进行判断）
        resultActions.andExpect(MockMvcResultMatchers.jsonPath("$.code").value(200));

    }

    @Override
    protected String getBaseUrl() {
        return "/exam/answer";
    }

    @SpringBootApplication
    static class InnerConfig {
    }

    @MockBean
    private AnswerService answerService;
    @MockBean
    private TestPaperService testPaperService;
}