/*
 Navicat Premium Data Transfer

 Source Server         : huawei_bpa_bpm
 Source Server Type    : MySQL
 Source Server Version : 50729
 Source Host           : huaweimysql1.jiucaiyun.cn:3306
 Source Schema         : jiucaiyunbpm

 Target Server Type    : MySQL
 Target Server Version : 50729
 File Encoding         : 65001

 Date: 11/06/2021 11:30:14
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for bas_exam_answer
-- ----------------------------
DROP TABLE IF EXISTS `bas_exam_answer`;
CREATE TABLE `bas_exam_answer`  (
  `id` varchar(50)  NOT NULL COMMENT '答题id',
  `test_id` varchar(50)  NOT NULL COMMENT '所属试卷',
  `stuff_id` varchar(50)  NOT NULL COMMENT '答题人id',
  `answer_batch` varchar(255)  NOT NULL COMMENT '答题批次',
  `question_id` varchar(50)  NOT NULL COMMENT '问题id',
  `question_title` varchar(2000)  NULL DEFAULT NULL COMMENT '问题题目',
  `question_content` varchar(4000)  NULL DEFAULT NULL COMMENT '问题内容',
  `my_answer` varchar(4000)  NULL DEFAULT NULL COMMENT '我的答案',
  `my_score` int(3) NULL DEFAULT NULL COMMENT '我的得分',
  `type` int(1) NULL DEFAULT NULL COMMENT '问题类型',
  `correct` int(1) NULL DEFAULT NULL COMMENT '是否正确'
) ;

-- ----------------------------
-- Table structure for bas_exam_question
-- ----------------------------
DROP TABLE IF EXISTS `bas_exam_question`;
CREATE TABLE `bas_exam_question`  (
  `id` varchar(50)  NOT NULL COMMENT '试题id',
  `question_title` varchar(2000)  NOT NULL COMMENT '问题题目',
  `question_content` varchar(4000)  NOT NULL COMMENT '问题内容',
  `answer` varchar(4000)  NULL DEFAULT NULL COMMENT '正确答案',
  `single_score` int(2) NULL DEFAULT NULL COMMENT '该题分数',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(50)  NULL DEFAULT NULL COMMENT '创建人',
  `isdelete` int(2) NULL DEFAULT NULL,
  `subject_id` varchar(50)  NULL DEFAULT NULL,
  `type` int(1) NULL DEFAULT NULL
) ;

-- ----------------------------
-- Table structure for bas_exam_question_test
-- ----------------------------
DROP TABLE IF EXISTS `bas_exam_question_test`;
CREATE TABLE `bas_exam_question_test`  (
  `test_id` varchar(50)  NOT NULL COMMENT '所属试卷',
  `question_title` varchar(2000)  NULL DEFAULT NULL COMMENT '问题题目',
  `question_content` varchar(4000)  NULL DEFAULT NULL COMMENT '问题内容',
  `answer` varchar(4000)  NULL DEFAULT NULL COMMENT '答案',
  `singlescore` int(2) NULL DEFAULT NULL COMMENT '该题分数',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `create_by` varchar(20)  NULL DEFAULT NULL COMMENT '创建人',
  `isdelete` int(1) NULL DEFAULT NULL COMMENT '是否删除',
  `subject_id` varchar(50)  NULL DEFAULT NULL COMMENT '所属科目',
  `type` int(1) NULL DEFAULT NULL COMMENT '类型',
  `id` varchar(50)  NOT NULL,
  `question_id` varchar(50)  NULL DEFAULT NULL COMMENT '试题id'
) ;

-- ----------------------------
-- Table structure for bas_exam_score
-- ----------------------------
DROP TABLE IF EXISTS `bas_exam_score`;
CREATE TABLE `bas_exam_score`  (
  `id` varchar(50)  NOT NULL COMMENT '成绩ID',
  `stuff_id` varchar(50)  NULL DEFAULT NULL COMMENT '员工id',
  `stuff_name` varchar(30)  NULL DEFAULT NULL COMMENT '员工姓名',
  `test_id` varchar(50)  NULL DEFAULT NULL COMMENT '试卷id',
  `test_name` varchar(1000)  NULL DEFAULT NULL COMMENT '试卷名字',
  `answer_batch` varchar(50)  NULL DEFAULT NULL COMMENT '答题批次',
  `score` int(3) NULL DEFAULT NULL COMMENT '得分',
  `qualified` int(1) NULL DEFAULT NULL COMMENT '是否合格  1:合格   0:不合格',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `department` varchar(50)  NULL DEFAULT NULL COMMENT '所属部门'
) ;

-- ----------------------------
-- Table structure for bas_exam_subject
-- ----------------------------
DROP TABLE IF EXISTS `bas_exam_subject`;
CREATE TABLE `bas_exam_subject`  (
  `id` varchar(50)  NOT NULL COMMENT '科目id',
  `subject_name` varchar(30)  NULL DEFAULT NULL COMMENT '科目名称',
  `create_by` varchar(30)  NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime(0) NULL DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime(0) NULL DEFAULT NULL COMMENT '更改时间',
  `isdelete` int(1) NULL DEFAULT NULL COMMENT '是否删除',
  `subject_no` varchar(50)  NULL DEFAULT NULL COMMENT '科目编号'
) ;

-- ----------------------------
-- Table structure for bas_exam_test
-- ----------------------------
DROP TABLE IF EXISTS `bas_exam_test`;
CREATE TABLE `bas_exam_test`  (
  `test_id` varchar(255)  NOT NULL COMMENT '试卷id',
  `subject_id` varchar(50)  NOT NULL COMMENT '所属科目',
  `test_name` varchar(255)  NOT NULL COMMENT '试卷名字',
  `total_score` int(4) NOT NULL COMMENT '试卷总分',
  `create_time` datetime(0) NOT NULL COMMENT '创建时间',
  `isdelete` int(1) NOT NULL COMMENT '是否删除',
  `create_by` varchar(30)   NULL COMMENT '创建人',
  `pass_score` varchar(10)  NULL DEFAULT NULL COMMENT '合格分数',
  `code_name` varchar(255)  NULL DEFAULT NULL COMMENT '编码及名称',
  `bpm_id` varchar(32)  NULL DEFAULT NULL
) ;

SET FOREIGN_KEY_CHECKS = 1;
